> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-config-parsers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # List all config parsers GET https://example.itential.io/configuration_manager/configurations/parser Returns a list of all known config parsers. Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-config-parsers ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Query parameters - `start` (integer, optional) — start - `limit` (integer, optional) — limit - `regex` (boolean, optional) — regex - `filter` (object, optional) — filter - `name` (string, optional) - `sort` (object, optional) — sort - `name` (enum, optional) - Allowed values: `-1`, `1` - `date` (enum, optional) - Allowed values: `-1`, `1` ## Response ### 200 List of config parsers found - `list of any` ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json [ { "list": [ { "created": "2025-03-13T17:05:51.128Z", "gbac": { "read": [], "write": [] }, "id": "67d3106fde662cde38190c66", "lexRules": [ [ "(\r\n|\r|\n)", "end_line" ], [ "$", "end_line" ], [ "\"(?:[^\\\\\"\r\n]|\\\\.)*\"", "word" ], [ "\\S+", "word" ] ], "name": "a10-acos", "template": "cisco-ios", "updated": "2025-03-13T17:05:51.128Z" } ], "total": 2 } ] ``` **SDK Code** ```python import requests url = "https://example.itential.io/configuration_manager/configurations/parser" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/configuration_manager/configurations/parser'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/configuration_manager/configurations/parser" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/configuration_manager/configurations/parser") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/configuration_manager/configurations/parser") .asString(); ``` ```php request('GET', 'https://example.itential.io/configuration_manager/configurations/parser'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/configuration_manager/configurations/parser"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/configurations/parser")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```